'' 完毕：
Imports System.IO
Imports System.Drawing
Imports System.Text.RegularExpressions
Imports GrapeCity.Documents.Pdf
Imports GrapeCity.Documents.Pdf.Annotations
Imports GrapeCity.Documents.Pdf.TextMap
Imports GrapeCity.Documents.Pdf.AcroForms

'' 此示例演示了 GcPdfDocument.Redact() 方法的使用。
'' It加载由SlidePages示例生成的PDF，创建
'' 在第一页上编辑注释，然后应用它。
Public Class RedactArea
    Function CreatePDF(ByVal stream As Stream) As Integer
        Dim doc = New GcPdfDocument()
        Using fs = New FileStream(Path.Combine("Resources", "PDFs", "SlidePages.pdf"), FileMode.Open, FileAccess.Read)
            '' 加载包含密文注释的 PDF（标记为密文的区域）：
            doc.Load(fs)

            Dim rc = New RectangleF(16, 16, 280, 300)

            Dim redact = New RedactAnnotation() With
                {
                    .Rect = rc,
                    .Page = doc.Pages(0),
                    .OverlayText = "此内容已被标记为密文。",
                    .OverlayFillColor = Color.PaleGoldenrod
                }

            '' 应用编辑：
            doc.Redact(redact)

            '' doc.Pages(0).Graphics.DrawRectangle(rc, Color.Red)

            '' 完毕：
            doc.Save(stream)
            Return doc.Pages.Count
        End Using
    End Function
End Class
